<?php

class mysqlsubcontratista {
  private $usuario;
  private $servidor;
  private $password;
  private $base_datos;
  private $conexion;
  private $result;
  var $flag = false;
  static $_instance;
  function __construct(){
    require_once ("configdatos.php");
    $this->usuario= USER;
    $this->password= PASS;
    $this->servidor= HOST;
    $this->base_datos= DB;
    $this->conectar();
  }


public function getServicios(){
     $querysericios =$this->read("SELECT ID_SERVICIO, SERVICIO FROM tblservicios");
      return $querysericios;
}


public function updateservicio($id_servicio,$servicio){
     $queryservicios = "UPDATE tblservicios SET SERVICIO='$servicio'
                         WHERE ID_SERVICIO = '$id_servicio'";
     if(mysql_query($queryservicios)){
        return "1";
     }else{
      return mysql_errno();

     }
}

public function setsubcontratista($id_servicio,$empresa,$representante,$email,$telefono){
$querysubcontratistas ="INSERT INTO tblsubcontratistas(ID_SERVICIO, SUBCONTRATISTA, REPRESENTANTE, EMAIL, TEL_FIJO)
                   VALUES ('$id_servicio','$empresa','$representante','$email','$telefono')";
    if(mysql_query($querysubcontratistas)){
      return "1";
    }else{
      return mysql_error();
    }

}



public function setservicio($servicio){
$queryservicios ="INSERT INTO tblservicios( SERVICIO)
                     VALUES ('$servicio')";
    if(mysql_query($queryservicios)){
      return "1";
    }else{
      return mysql_error();
    }

}

public function getsubcontratistas(){
$querysubcontratistas =$this->read( "SELECT su.ID_SUBCONTRATISTA,
                                  s.ID_SERVICIO,s.SERVICIO, su.SUBCONTRATISTA, su.REPRESENTANTE, su.EMAIL, su.TEL_FIJO 
                            FROM tblsubcontratistas  su
                            INNER JOIN tblservicios s ON s.ID_SERVICIO = su.ID_SERVICIO");
 return $querysubcontratistas;
}

// public function updateservicio($id_servicio,$servicio){
//      $queryservicios = "UPDATE tblservicios SET SERVICIO='$servicio'
//                          WHERE ID_SERVICIO = '$id_servicio'";
//      if(mysql_query($queryservicios)){
//         return "1";
//      }else{
//       return mysql_errno();

//      }
// }
public function updateempresa($id_subcontratista,$empresa){
     $querysubcontratistas = "UPDATE tblsubcontratistas SET SUBCONTRATISTA='$empresa'
                         WHERE ID_SUBCONTRATISTA = '$id_subcontratista'";
     if(mysql_query($querysubcontratistas)){
        return "1";
     }else{
      return mysql_errno();

     }
}
public function updatenombre($id_subcontratista,$nombre){
     $querysubcontratistas = "UPDATE tblsubcontratistas SET REPRESENTANTE='$nombre'
                         WHERE ID_SUBCONTRATISTA = '$id_subcontratista'";
     if(mysql_query($querysubcontratistas)){
        return "1";
     }else{
      return mysql_errno();

     }
}


public function updatetelefono($id_subcontratista,$telefono){
     $querysubcontratistas = "UPDATE tblsubcontratistas SET TEL_FIJO='$telefono'
                         WHERE ID_SUBCONTRATISTA = '$id_subcontratista'";
     if(mysql_query($querysubcontratistas)){
        return "1";
     }else{
      return mysql_errno();

     }
}

public function updateemail($id_subcontratista,$email){
     $querysubcontratistas = "UPDATE tblsubcontratistas SET EMAIL='$email'
                         WHERE ID_SUBCONTRATISTA = '$id_subcontratista'";
     if(mysql_query($querysubcontratistas)){
        return "1";
     }else{
      return mysql_errno();

     }
}

public function updateservicio_sub($id_subcontratista,$id_servicio){
     $querysubcontratistas = "UPDATE tblsubcontratistas SET ID_SERVICIO='$id_servicio'
                         WHERE ID_SUBCONTRATISTA = '$id_subcontratista'";
     if(mysql_query($querysubcontratistas)){
        return "1";
     }else{
      return mysql_errno();

     }
}
















 private function read($sql){
  $resultado = mysql_query($sql); 
   if(mysql_num_rows($resultado)> 0){
     while($fila = mysql_fetch_array($resultado)){
         $arreglo[] =$fila;
       }
         return $arreglo;
   }else{
     return "0";
   }
  }

  private function conectar(){
  $this->conexion = mysql_connect($this->servidor,$this->usuario,$this->password);
  mysql_select_db($this->base_datos,$this->conexion);
  @mysql_query("SET NAMES 'utf8'");
 }


}
?>